"use strict";

const Articles = require("./home-page-components/articles");
const ThemeCard = require("./home-page-components/theme-card");

class HomePage {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            id: "home-page",
            contents: [
                {
                    tag: "div",
                    class: "page-header",
                    contents: [
                        { tag: "h1", contents: "Kuadrado Software", class: "page-contents-center" },
                        {
                            tag: "p",
                            class: "page-contents-center",
                            contents: `<b>Kvadrata rado</b> veut dire "roue carrée" en Esperanto, c'est le symbole que nous avons choisi pour Kuadrado 
                            pour dire qu'on aime bien fabriquer les trucs nous même, avec des briques aussi élémentaires que possible, 
                            pour le plaisir de les maîtriser et de les comprendre. Quitte parfois à réinventer un peu la roue.
                            `,
                        },
                    ],
                },
                {
                    tag: "section",
                    class: "page-contents-center",
                    contents: [
                        { tag: "h2", contents: "Actu", class: "section-title bg-blue" },
                        new Articles().render(),
                    ],
                },
                {
                    tag: "section",
                    class: "page-contents-center grid-3",
                    contents: [
                        {
                            title: "Jeux",
                            img: "screen_fantom_quest.jpg",
                            href: "/games/",
                            description:
                                "Toutes nos créations vidéoludiques, jeux web et jeux PC, projets en cours, c'est par ici que ça se passe.",
                        },
                        {
                            title: "Software",
                            img: "learning_theme_coding.png",
                            href: "/software-development/",
                            description:
                                "Des fois quand on a besoin d'un outil, on le fabrique nous même (si ça nous amuse) ! Retrouvez les projets en détail.",
                        },
                        {
                            title: "Pédagogie",
                            img: "popularization_banner.png",
                            href: "/education/",
                            description:
                                "La pédagogie est une arme puissante pour faire tomber les barrières entre les gens et la technologie, et nous sommes bien décidés à en faire usage !",
                        },
                    ].map(cardProps => new ThemeCard(cardProps).render()),
                },
            ],
        };
    }
}

module.exports = HomePage;
